package com.bonus.canteen.core.order.weight.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class BuffetWeighBind {
   @ApiModelProperty("人员id")
   private @NotNull(
   message = "人员id不能为空"
) Long custId;
   @ApiModelProperty("餐盘物理卡号")
   private @NotNull(
   message = "餐盘物理号不能为空"
) String serialNum;
   @ApiModelProperty("餐盘号（微信绑盘是才有一般五位数字）")
   private String plateNum;
   @ApiModelProperty("卡片物理号")
   private String serialNumCard;
   @ApiModelProperty("绑定类型 1设备2微信支付分3微信账户4第三方绑盘（同步人员信息）5不绑盘拿菜 6大三房绑盘无人员信息")
   private @NotNull(
   message = "绑定方式不能为空"
) Integer bindType;
   @ApiModelProperty("核身方式")
   private Integer nuClearMode;
   @ApiModelProperty("支付方式")
   private Integer payType;
   @ApiModelProperty("项目特殊字段")
   private String proSpecial;
   @ApiModelProperty("设备sn码")
   private String machineSn;
   @ApiModelProperty("设备订单号")
   private String macOrdId;
   @ApiModelProperty("创建时间")
   private String uptime;

   public Long getCustId() {
      return this.custId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getPlateNum() {
      return this.plateNum;
   }

   public String getSerialNumCard() {
      return this.serialNumCard;
   }

   public Integer getBindType() {
      return this.bindType;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public String getProSpecial() {
      return this.proSpecial;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public String getMacOrdId() {
      return this.macOrdId;
   }

   public String getUptime() {
      return this.uptime;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setPlateNum(final String plateNum) {
      this.plateNum = plateNum;
   }

   public void setSerialNumCard(final String serialNumCard) {
      this.serialNumCard = serialNumCard;
   }

   public void setBindType(final Integer bindType) {
      this.bindType = bindType;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setProSpecial(final String proSpecial) {
      this.proSpecial = proSpecial;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setMacOrdId(final String macOrdId) {
      this.macOrdId = macOrdId;
   }

   public void setUptime(final String uptime) {
      this.uptime = uptime;
   }

}
